{{ define "main" }}
  <section class="main article-detail">
    <header class="post-header">
      <h1 class="post-title">{{ .Title }}</h1>
      <p class="post-meta">{{ if isset .Params "author" }}{{ .Params.author.email }}{{ else }}{{ .Site.Params.author }}{{ end }} · {{ .Date.Format "Jan 2, 2006" }} · {{ .ReadingTime }} min read</p>
        {{ if isset .Params "series" }}
        {{ range where .Site.Pages.ByDate "Params.series" .Params.series }}
            {{ if gt $.Date.Unix .Date.Unix }}
              {{ $.Scratch.Set "previous" .Permalink }}
            {{ end }}
        {{ end }}
        {{ range where .Site.Pages.ByDate.Reverse "Params.series" .Params.series }}
            {{ if lt $.Date.Unix .Date.Unix }}
              {{ $.Scratch.Set "next" .Permalink }}
            {{ end }}
        {{ end }}
        {{ if $.Scratch.Get "previous" }}
          <a title="Previous Part in Tutorial" class="to-header-left" href="{{ $.Scratch.Get "previous" }}"><span class="icon icon-right"><< Previous Part</span></a>
        {{ end }}
        {{ if $.Scratch.Get "next" }}
          <a style="float: right;" title="Next Part in Tutorial" class="to-header-right" href="{{ $.Scratch.Get "next" }}"><span class="icon icon-right">Next Part >></span></a>
        {{ end }}
        {{ end }}
    </header>
    <article class="post-content">{{ .Content }}</article>
    <footer class="post-footer">
      <p>If you are enjoying these tutorials, could I ask you to <strong><a href="//twitter.com/zero_subnet">click here to follow me on Twitter</a></strong>? =)</p>
      {{ if isset .Params "series" }}
      {{ if $.Scratch.Get "previous" }}
        <a title="Previous Part in Tutorial" class="to-header-left" href="{{ $.Scratch.Get "previous" }}"><span class="icon icon-right"><< Previous Part</span></a>
      {{ end }}
      {{ if $.Scratch.Get "next" }}
        <a style="float: right;" title="Next Part in Tutorial" class="to-header-right" href="{{ $.Scratch.Get "next" }}"><span class="icon icon-right">Next Part >></span></a>
      {{ end }}
      {{ end }}
      {{ if isset .Params "tags" }}
      <ul class="post-tags">
        {{ range $tag := .Params.tags }}
        <a href="/tags/{{ $tag | urlize }}"><li><span class="tag">{{ $tag | title }}</span></li></a>
        {{ end }}
      </ul>
      {{ end }}
      <p class="post-copyright">
        {{ if .Site.Copyright }}{{ .Site.Copyright }}{{ end }}{{ if gt (div (sub now.Unix .Lastmod.Unix) 86400) 100 }}This post was published <strong>{{ div (sub now.Unix .Lastmod.Unix) 86400 }}</strong> days ago, content in the post may be inaccurate, even wrong now, please take risk yourself.{{ end }}
      </p>
    </footer>
    {{ if ne .Params.comments false }}
      {{ if .Site.DisqusShortname }}{{ template "_internal/disqus.html" . }}
      {{ else if .Site.Params.Discourse }}
        <div id='discourse-comments'></div>
        <script type="text/javascript">
          DiscourseEmbed = { discourseUrl: 'https://discourse.subnetzero.io/',
                             discourseEmbedUrl: "{{ .Permalink }}" };

          (function() {
            var d = document.createElement('script'); d.type = 'text/javascript'; d.async = true;
            d.src = DiscourseEmbed.discourseUrl + 'javascripts/embed.js';
            (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(d);
          })();
        </script>
      {{ else }}{{ end }}
    {{ end }}
  </section>
  {{ partial "footer.html" . }}
{{ end }}
